Subject: Re: [PATCH v6 0/2] repo: add --keys and rename "keyvalue" to "lines"

From: Junio C Hamano <[email-masked]>
Date: Sat, 14 Feb 2026 10:14:24 -0800

Lucas Seiki Oshiro <[email-masked]> writes:

> This v6 addresses these issues raised by Patrick:
>
> - It renames `FORMAT_LINES` to `FORMAT_NEWLINE_TERMINATED`
> - Change the commit messsage of the first patch (I'm using Patrick's
>   suggestion)
> - It capitalizes the new paragraphs
>
> There was a discussion about the name of the new format ("lines" vs
> "newline") [1]. Personally I prefer "lines" instead of "newline" because
> I understand the --format flag expects a format name (e.g. `table`,
> `lines`) instead of the delimiter, being `nul` only a short form of
> "nul-terminated". But, of course, I'm open to other opinions about it
> :-).

I'll refrain from commenting on this part, as I am not good at
naming ;-)

Changes relative to the previous round look all good.  Will replace.

Let's mark it for 'next'.

Thanks.